package VorlesungsFolien.Verebung;

public class StatischeMethode {
	// Statische Methoden können nicht überschrieben werden!

	public static void main(String[] args) {

		Vater test = new Sohn();

		test.printHi(); // Hi Vater

	}

}

class Vater {

	public static void printHi() {

		System.out.println("Hi Vater");
	}
}

class Sohn extends Vater {

	public static void printHi() {

		System.out.println("Hi Son");
	}
}
